docker-build-master:
    stage: build
    image: docker:20
    services:
        - docker:dind
    before_script:
        - echo "$CI_REGISTRY_PASSWORD" | docker login $CI_REGISTRY -u "$CI_REGISTRY_USER" --password-stdin
    script:
        - docker build --pull -t "$CI_REGISTRY_IMAGE:latest" .
        - docker push $CI_REGISTRY_IMAGE:latest
    only:
        - main